Opt-ins
Revoke Matching Contact Opt-ins
Revoke Matching Contact Opt-ins.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
contact_id*string
Unique identifier of the related contact.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
opt_in_group_id?string
Unique identifier of the related opt in group.
Format
uuidchannel_type?"email" | "facebook" | "google_business_messaging" | "instagram" | "postal" | "sms" | "whatsapp"
Channel Type value for this resource.
Response Body
application/json
curl -X POST "https://api.getmateo.com/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/opt-ins/opt-out" \ -H "Content-Type: application/json" \ -d '{}'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "opt_in_group_id": "4b357ede-6cef-46e7-8acc-09c4cf4c759a", "channel_type": "email", "status": "requested", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }]